import { MsgSubmitEvidence } from "./tx";
export const registry = [["/cosmos.evidence.v1beta1.MsgSubmitEvidence", MsgSubmitEvidence]];
export const MessageComposer = {
    encoded: {
        submitEvidence(value) {
            return {
                typeUrl: "/cosmos.evidence.v1beta1.MsgSubmitEvidence",
                value: MsgSubmitEvidence.encode(value).finish()
            };
        }
    },
    withTypeUrl: {
        submitEvidence(value) {
            return {
                typeUrl: "/cosmos.evidence.v1beta1.MsgSubmitEvidence",
                value
            };
        }
    },
    fromPartial: {
        submitEvidence(value) {
            return {
                typeUrl: "/cosmos.evidence.v1beta1.MsgSubmitEvidence",
                value: MsgSubmitEvidence.fromPartial(value)
            };
        }
    }
};
